## ros-jazzy-bondpy 4.1.0

=== debian/changelog ===
ros-jazzy-bondpy (4.1.0-1bookworm) bookworm; urgency=high

  * bondpy migration to ROS2 (#89 <https://github.com/ros/bond_core/issues/89>)
  * [ros2] Update maintainers - 2022-11-07 (#90 <https://github.com/ros/bond_core/issues/90>)
  * Contributors: Antoine, Audrow Nash

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 02 Jun 2024 16:00:00 -0000

ros-jazzy-bondpy (1.8.3-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 16 Aug 2018 16:00:00 -0000

ros-jazzy-bondpy (1.8.2-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 26 Apr 2018 16:00:00 -0000

ros-jazzy-bondpy (1.8.1-1bookworm) bookworm; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 26 Oct 2017 16:00:00 -0000

ros-jazzy-bondpy (1.8.0-1bookworm) bookworm; urgency=high

  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * Closer to pep8 compliance (#25 <https://github.com/ros/bond_core/issues/25>)
  * Python3 compatibility (#24 <https://github.com/ros/bond_core/issues/24>)
  * Fixes problem with bondpy not exiting with the node (#21 <https://github.com/ros/bond_core/issues/21>)
  * Contributors: Aaron Miller, Mikael Arguedas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 26 Jul 2017 16:00:00 -0000

ros-jazzy-bondpy (1.7.19-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 26 Mar 2017 16:00:00 -0000

ros-jazzy-bondpy (1.7.18-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 23 Oct 2016 16:00:00 -0000

ros-jazzy-bondpy (1.7.17-1bookworm) bookworm; urgency=high

  * Queue size for a publisher #10 <https://github.com/ros/bond_core/issues/10>
    Squash the warning.
  * update maintainer
  * Made code a bit more readable #12 <https://github.com/ros/bond_core/pull/12>
  * made local timer a member so we can cancel it during shutdown #11 <https://github.com/ros/bond_core/pull/11>
  * Contributors: Daniel Stonier, Esteve Fernandez, Hugo Boyer, Mikael Arguedas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 14 Mar 2016 16:00:00 -0000

ros-jazzy-bondpy (1.7.16-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 29 Oct 2014 16:00:00 -0000

ros-jazzy-bondpy (1.7.15-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 27 Oct 2014 16:00:00 -0000

ros-jazzy-bondpy (1.7.14-1bookworm) bookworm; urgency=high

  * Export architecture_independent flag in package.xml #4 <https://github.com/ros/bond_core/pull/4>
  * bondpy: Add catkin_package call to CMakeLists.txt #3 <https://github.com/ros/bond_core/pull/3>
    If catkin_package is not called, the package.xml is not installed
  * Update maintainer field
  * Contributors: Esteve Fernandez, Scott K Logan, Vincent Rabaud

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 07 May 2014 16:00:00 -0000

ros-jazzy-bondpy (1.7.13-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 20 Aug 2013 16:00:00 -0000

ros-jazzy-bondpy (1.7.12-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 05 Jun 2013 16:00:00 -0000

ros-jazzy-bondpy (1.7.11-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 12 Mar 2013 16:00:00 -0000

ros-jazzy-bondpy (1.7.10-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Sat, 12 Jan 2013 16:00:00 -0000

ros-jazzy-bondpy (1.7.9-1bookworm) bookworm; urgency=high

  * fix wrong module for Duration
  * add missing dep on rospy
  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 26 Dec 2012 16:00:00 -0000

ros-jazzy-bondpy (1.7.8-1bookworm) bookworm; urgency=high

  * update setup() to use generate_distutils_setup
  * Contributors: Dirk Thomas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Dec 2012 16:00:00 -0000

ros-jazzy-bondpy (1.7.7-1bookworm) bookworm; urgency=high

  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * Contributors: William Woodall

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 05 Dec 2012 16:00:00 -0000

ros-jazzy-bondpy (1.7.6-1bookworm) bookworm; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 29 Oct 2012 16:00:00 -0000

ros-jazzy-bondpy (1.7.5-1bookworm) bookworm; urgency=high

  * clean up package.xml files
  * fixed python module import
  * updated setup.py files
  * Contributors: Dirk Thomas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 26 Oct 2012 16:00:00 -0000

ros-jazzy-bondpy (1.7.4-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 05 Oct 2012 16:00:00 -0000

ros-jazzy-bondpy (1.7.3-1bookworm) bookworm; urgency=high

  * fix package building issues
  * Contributors: Vincent Rabaud

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Oct 2012 16:19:00 -0000

ros-jazzy-bondpy (1.7.2-1bookworm) bookworm; urgency=high

  * add the missing catkin dependency
  * Contributors: Vincent Rabaud

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Oct 2012 16:06:00 -0000

ros-jazzy-bondpy (1.7.1-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Oct 2012 11:00:00 -0000

ros-jazzy-bondpy (1.7.0-1bookworm) bookworm; urgency=high

  * catkinize the package and bump to 1.7.0 even though it is not tagged yet
  * Reverting all changes that were meant to debug test failures on the build farm.
    --HG--
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk%4036308
  * More testing bond on the build farm: being careful to shutdown bond instances between tests.
    --HG--

