=== debian/control ===
Source: ros-jazzy-bondpy
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-copyright <!nocheck>, ros-jazzy-ament-flake8 <!nocheck>, ros-jazzy-ament-pep257 <!nocheck>, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-bondpy
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-jazzy-bond, ros-jazzy-rclpy, ros-jazzy-smclib, ros-jazzy-ros-workspace
Description: Python implementation of bond, a mechanism for checking when another process has terminated.
